## loadavg loadavg |

## Functions

void | glibtop_get_loadavg ()
void | glibtop_get_loadavg_l ()
void | glibtop_get_loadavg_p ()
void | glibtop_get_loadavg_s ()

## Types and Values

#define | GLIBTOP_LOADAVG_LOADAVG
#define | GLIBTOP_LOADAVG_NR_RUNNING
#define | GLIBTOP_LOADAVG_NR_TASKS
#define | GLIBTOP_LOADAVG_LAST_PID
#define | GLIBTOP_MAX_LOADAVG
struct | glibtop_loadavg
#define | glibtop_get_loadavg_r

## Includes

    #include <glibtop/loadavg.h>

## Description

## Functions

### glibtop_get_loadavg ()

    void
    glibtop_get_loadavg (glibtop_loadavg *buf);

### glibtop_get_loadavg_l ()

    void
    glibtop_get_loadavg_l (glibtop *server,
                           glibtop_loadavg *buf);

### glibtop_get_loadavg_p ()

    void
    glibtop_get_loadavg_p (glibtop *server,
                           glibtop_loadavg *buf);

### glibtop_get_loadavg_s ()

    void
    glibtop_get_loadavg_s (glibtop *server,
                           glibtop_loadavg *buf);

## Types and Values

### GLIBTOP_LOADAVG_LOADAVG

    #define GLIBTOP_LOADAVG_LOADAVG		0

### GLIBTOP_LOADAVG_NR_RUNNING

    #define GLIBTOP_LOADAVG_NR_RUNNING 1

### GLIBTOP_LOADAVG_NR_TASKS

    #define GLIBTOP_LOADAVG_NR_TASKS 2

### GLIBTOP_LOADAVG_LAST_PID

    #define GLIBTOP_LOADAVG_LAST_PID 3

### GLIBTOP_MAX_LOADAVG

    #define GLIBTOP_MAX_LOADAVG		4

### struct glibtop_loadavg

    struct glibtop_loadavg {
    	guint64 flags;
    	double loadavg [3];		/* GLIBTOP_LOADAVG_LOADAVG */
    	guint64 nr_running;		/* GLIBTOP_LOADAVG_NR_RUNNING */
    	guint64 nr_tasks;		/* GLIBTOP_LOADAVG_NR_TASKS */
    	guint64 last_pid;		/* GLIBTOP_LOADAVG_LAST_PID */
    };

### glibtop_get_loadavg_r

    #define glibtop_get_loadavg_r		glibtop_get_loadavg_p